Bug 665901 - Review Request: perl-Gravatar-URL - Make URLs for Gravatars from an email address
Summary: Review Request: perl-Gravatar-URL - Make URLs for Gravatars from an email ad...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Mario Blättermann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-27 20:31 UTC by Mike B.
Modified: 2013-04-30 08:26 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-04-30 08:26:53 UTC
mario.blaettermann: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mike B. 2010-12-27 20:31:14 UTC
Spec URL: http://users.otrs.com/~mb/fedora/perl-Gravatar-URL.spec
SRPM URL: http://users.otrs.com/~mb/fedora/perl-Gravatar-URL-1.02-1.fc14.src.rpm
Description: A Gravatar is a Globally Recognized Avatar for a given email address. This allows you to have a global picture associated with your email address. You can look up the Gravatar for any email address by constructing a URL to get the image from gravatar.com. This module does that.

This is my first package, I'm seeking a sponsor.

Comment 1 Petr Šabata 2012-01-09 16:07:41 UTC
I'm not a sponsor but my quick notes:
The package doesn't build in mock since you're missing some key dependencies (Digest::MD5, to be specific).  You should also buildrequire Carp, and Unicornify::URL, which is not in Fedora and has to be packaged first.
Also remove the explicit perl BR.

Moreover, Buildroot tag (line 9) and buildroot cleaning (lines 35, 45, 46) are no longer needed in Fedora.  The same applies to %defattr (line 49).

Comment 2 Jason Tibbitts 2012-04-24 22:07:29 UTC
Any response to that commentary?  I'll go ahead and close this out if there's no further response.

In any case, the package fails to build because it is lacking dependencies (loads of test suite failures) so I'm indicating that.  Please clear the whiteboard if providing a package which builds.

Comment 3 Petr Šabata 2012-04-25 07:43:22 UTC
I could sponsor Mike now but he doesn't seem to be interested that much.

Jason, if I wanted to package this myself, would I have to file a new review bug for it?

Thanks.

Comment 4 Petr Pisar 2012-04-25 07:50:11 UTC
Unicornify::URL is provided by this package (perl-Gravatar-URL).

Comment 5 Jason Tibbitts 2012-06-29 22:24:53 UTC
Still no buildable package.  I didn't see the above question originally, but yes, you should file another ticket if you wish to submit this yourself.

Comment 6 Mike B. 2012-08-30 19:27:20 UTC
Hi, long time no feedback from my side.
I started up trying to package again, I have a few packages coming up (but want this one first validated). 

I modified the spec file as per the comments, hope it is OK now:

http://users.otrs.com/~mb/fedora/perl-Gravatar-URL.spec
http://users.otrs.com/~mb/fedora/perl-Gravatar-URL-1.06-1.fc16.src.rpm

Comment 7 Paul Howarth 2012-08-30 20:50:16 UTC
Spec URL is 404.

Comment 8 Mike B. 2012-08-31 07:47:49 UTC
It is no longer a 404 - there was a web server issue; sorry. Please try again.

Comment 9 Mario Blättermann 2012-09-12 19:06:15 UTC
Scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4478753


$ rpmlint -i -v *
perl-Gravatar-URL.src: I: checking
perl-Gravatar-URL.src: I: checking-url http://search.cpan.org/dist/Gravatar-URL/ (timeout 10 seconds)
perl-Gravatar-URL.src: I: checking-url http://www.cpan.org/authors/id/M/MS/MSCHWERN/Gravatar-URL-1.06.tar.gz (timeout 10 seconds)
perl-Gravatar-URL.noarch: I: checking
perl-Gravatar-URL.noarch: I: checking-url http://search.cpan.org/dist/Gravatar-URL/ (timeout 10 seconds)
perl-Gravatar-URL.spec: I: checking-url http://www.cpan.org/authors/id/M/MS/MSCHWERN/Gravatar-URL-1.06.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 0 warnings.

No issues.


---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.
[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
[+] MUST: The License field in the package spec file must match the actual license.
    GPL+ or Artistic

[.] MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
    $ sha256sum *
    b4fb1b8595d668a55c6b7adccc0071a9ee65eb8b0382d604d51e326c7ec69292  Gravatar-URL-1.06.tar.gz
    b4fb1b8595d668a55c6b7adccc0071a9ee65eb8b0382d604d51e326c7ec69292  Gravatar-URL-1.06.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
[.] MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line.
[+] MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[.] MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
[.] MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
[+] MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
[+] MUST: A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)
[+] MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity).
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: Development files must be in a -devel package.
[.] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release}
[.] MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[.] MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation.
[+] MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time.
[+] MUST: All filenames in rpm packages must be valid UTF-8.


[.] SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[.] SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses Mock anyway).
[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[.] SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.
[.] SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
[.] SHOULD: The placement of pkgconfig(.pc) files depends on their usecase, and this is usually for development purposes, so should be placed in a -devel pkg. A reasonable exception is that the main pkg itself is a devel tool not installed in a user runtime, e.g. gcc or gdb.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.
[+] SHOULD: your package should contain man pages for binaries/scripts. If it doesn't, work with upstream to add them where they make sense.

----------------

PACKAGE APPROVED

----------------

Comment 10 Mario Blättermann 2012-09-13 19:35:17 UTC
For the time being there's no chance to get in in the package database, because Mike B. isn't sponsored yet. Adding FE-NEEDSPONSOR, although I don't know if it makes sense, because this review request doesn't appear in the »New package review tickets« list anymore.

Comment 11 Jason Tibbitts 2012-09-13 19:41:12 UTC
It doesn't appear in the reviewable ticket list because the ticket is assigned and the fedora-review flag has been set.  Those should both be set back to the defaults, since only a sponsor can review the submissions of someone who is not yet sponsored.

Comment 12 Mario Blättermann 2012-09-13 19:44:36 UTC
(In reply to comment #11)
> It doesn't appear in the reviewable ticket list because the ticket is
> assigned and the fedora-review flag has been set.  Those should both be set
> back to the defaults, since only a sponsor can review the submissions of
> someone who is not yet sponsored.

OK, I will reset them all.

Comment 13 Jason Tibbitts 2012-09-18 18:02:30 UTC
It looks rather certain that you will have sponsor privileges in a couple of days; why don't you just keep it assigned to yourself and do the sponsorship dance when you are able?

Comment 14 Mario Blättermann 2012-09-18 18:08:02 UTC
(In reply to comment #13)
> It looks rather certain that you will have sponsor privileges in a couple of
> days; why don't you just keep it assigned to yourself and do the sponsorship
> dance when you are able?

Well, I don't expect to get more than three negative votes next days. Assuming I become a sponsor, I set the previous flags back.

Comment 15 Mario Blättermann 2012-09-21 08:29:17 UTC
OK, my sponsorship has been approved. Now I'm sponsoring Mike. His FAS username is mbeijen.

Comment 16 Mario Blättermann 2013-01-15 20:14:13 UTC
Mike didn't response for some months. I don't know if he's still interested in to get sponsored. I remove the assignment for this bug for the time being.

Comment 17 Petr Šabata 2013-01-16 12:43:23 UTC
Mario, I'm willing to maintain this package.
I'd use Mike's package for the first import.  Could you take it again and re-set the flags?  I'll submit an SCM request then.

Comment 18 Mario Blättermann 2013-01-16 18:55:19 UTC
(In reply to comment #17)
> Could you take it again and
> re-set the flags?  I'll submit an SCM request then.

I don't know if this is allowed, because you are not the initial requester. Anyway, I reset the approval flag.

Comment 19 Petr Šabata 2013-01-17 08:12:49 UTC
I'm never sure about this either -- let's try :)

Comment 20 Petr Šabata 2013-01-17 08:14:15 UTC
New Package SCM Request
=======================
Package Name: perl-Gravatar-URL
Short Description:  Make URLs for Gravatars from an email address
Owners: psabata jplesnik mmaslano ppisar
Branches: f17 f18
InitialCC: perl-sig

Comment 21 Gwyn Ciesla 2013-01-17 12:01:48 UTC
Git done (by process-git-requests).

Comment 22 Petr Šabata 2013-01-17 12:38:27 UTC
Thank you.

Well, it worked :)

Comment 23 Fedora Update System 2013-01-17 14:38:54 UTC
perl-Gravatar-URL-1.06-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/perl-Gravatar-URL-1.06-2.fc18

Comment 24 Fedora Update System 2013-01-17 14:40:15 UTC
perl-Gravatar-URL-1.06-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/perl-Gravatar-URL-1.06-2.fc17

Comment 25 Fedora Update System 2013-01-30 00:52:51 UTC
perl-Gravatar-URL-1.06-2.fc17 has been pushed to the Fedora 17 stable repository.

Comment 26 Fedora Update System 2013-01-30 00:53:05 UTC
perl-Gravatar-URL-1.06-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 27 Mario Blättermann 2013-04-30 08:26:53 UTC
All packages have been marked as stable. I will close this bug now.


Note You need to log in before you can comment on or make changes to this bug.